3 Replies Latest reply: Nov 9, 2012 11:38 PM by mende1
jonjordans Level 1 Level 1 (0 points)

I have a macbook (MB21.00A5.B07) running os x 10.6.8 and my app store says it will not run without 10.7 or greater.  I don't know where to download Lion, not sure if I can run Mountain Lion or if there is an earlier version of app store.  Any ideas???


Mac OS X (10.6.8)